Skip to navigation

Get project import status

Poll the status of an asynchronous project import operation.

Usage:

  1. When you POST to /api/projects/{project_id}/import, you’ll receive a response like {"import": <import_id>}
  2. Use that import_id with this GET endpoint to check the import status
  3. Poll this endpoint to see if the import has completed, is still processing, or has failed
  4. Import errors and failures will only be visible in this GET response, not in the original POST request

This endpoint returns detailed information about the import including task counts, status, and any error messages. While an import is running, task_count / annotation / prediction counts update as batches commit. Counts are cumulative so far; there is no expected total, so percent-complete / ETA is not available from this API.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired
A unique integer value identifying this project.
import_pkintegerRequired
A unique integer value identifying this project import.

Response

created_atdatetime or nullRead-only
Creation time
idintegerRead-only
annotation_countintegerOptional-2147483648-2147483647
commit_to_projectbooleanOptional
could_be_tasks_listbooleanOptional
data_columnsanyOptional
durationintegerOptional-2147483648-2147483647
errorstring or nullOptional
file_upload_idsanyOptional
finished_atdatetime or nullOptional
Complete or fail time
found_formatsanyOptional
preannotated_from_fieldsany or nullOptional
prediction_countintegerOptional-2147483648-2147483647
projectinteger or nullOptional
return_task_idsbooleanOptional
statusenumOptional
  • created - Created
  • in_progress - In progress
  • failed - Failed
  • completed - Completed
Allowed values:
task_countintegerOptional-2147483648-2147483647
task_idsanyOptional
updated_atdatetime or nullOptional
Last time import progress or terminal status was updated
urlstring or nullOptional<=2048 characters